The Spring Framework

## org.springframework.dao
Class IncorrectUpdateSemanticsDataAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.InvalidDataAccessResourceUsageException
                                  org.springframework.dao.IncorrectUpdateSemanticsDataAccessException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JdbcUpdateAffectedIncorrectNumberOfRowsException

    public class IncorrectUpdateSemanticsDataAccessException

extends InvalidDataAccessResourceUsageException

Data access exception thrown when something unintended appears to have happened with an update, but the transaction hasn't already been rolled back. Thrown, for example, when we wanted to update 1 row in an RDBMS but actually updated 3.

Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`IncorrectUpdateSemanticsDataAccessException(String msg)` Constructor for IncorrectUpdateSemanticsDataAccessException.
`IncorrectUpdateSemanticsDataAccessException(String msg, Throwable cause)` Constructor for IncorrectUpdateSemanticsDataAccessException.

Method Summary
`boolean` `wasDataUpdated()` Return whether data was updated.

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncorrectUpdateSemanticsDataAccessException

    public IncorrectUpdateSemanticsDataAccessException(String msg)

  Constructor for IncorrectUpdateSemanticsDataAccessException.

  Parameters:
    `msg` - the detail message

### IncorrectUpdateSemanticsDataAccessException

    public IncorrectUpdateSemanticsDataAccessException(String msg,
                                                       Throwable cause)

  Constructor for IncorrectUpdateSemanticsDataAccessException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the underlying API, such as JDBC

Method Detail

### wasDataUpdated

    public boolean wasDataUpdated()

  Return whether data was updated. If this method returns false, there's nothing to roll back.

  The default implementation always returns true. This can be overridden in subclasses.

The Spring Framework

Copyright © 2002-2008 The Spring Framework.